import { ConditionUtil, FieldUtil, TableUtilImpl, IdType, SubTable } from 'model-util';
import { Ad_position_style } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-04-15 16:40
 */
interface Ad_position_styleCU extends ConditionUtil<Ad_position_styleCU> {
    AD_POSITION_ID: FieldUtil<Ad_position_styleCU>;
    AD_STYLE_ID: FieldUtil<Ad_position_styleCU>;
    DEL_FLAG: FieldUtil<Ad_position_styleCU>;
}
declare class Ad_position_styleMU extends TableUtilImpl<Ad_position_styleCU, Ad_position_style> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: SubTable[];
    createConditionUtil(): Ad_position_styleCU;
    static get AD_POSITION_ID(): FieldUtil<Ad_position_styleCU>;
    static get AD_STYLE_ID(): FieldUtil<Ad_position_styleCU>;
    static get DEL_FLAG(): FieldUtil<Ad_position_styleCU>;
    get AD_POSITION_ID(): FieldUtil<Ad_position_styleCU>;
    get AD_STYLE_ID(): FieldUtil<Ad_position_styleCU>;
    get DEL_FLAG(): FieldUtil<Ad_position_styleCU>;
}
export { Ad_position_styleMU, Ad_position_styleCU };
